Subject: Ticket Assigned - I ROCCHI SHOWROOM MILANO AW 20
From: Splash <[email-masked]>
To: [email-masked]
Date: Tue, 11 Feb 2020 02:50:14 +0000

Hi Rehan Khan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  I ROCCHI SHOWROOM MILANO AW 20 
 Se non legge correttamente questo messaggio, cliccare qui FROM FEBRUARY 20TH TO MARCH 31ST Free standard shipping with $50+ purchase FALL WINTER 20-21 I ROCCHI CASHMERE CONTACT US FOR A SHOWROOM APPOINTMENT GALLERY & BRAND INTRO TEL- +39-02-76008194 Via Bartolomeo Giuliano 6N01 - MILANO (MM LIMA) [email-masked] SOFTNESS & QUALITY MADE IN ITALY RECYCLED CASHMERE. The FW20 collection by I Rocchi Cashmere offers garments bearing clean and versatile lines, able to be mixed together effortlessly. Volumes for her are very feminine, without being too tight; for him, we find dry and decisive lines with personality. Chromatically, the collection revolves around neutral colours. For 2020, I Rocchi is introducing two important innovations with special consideration for nature and the environment. For the first time in its history, alongside its 100% cashmere and 30% cashmere 70% merino blends, the brand is introducing pieces constructed with recycled cashmere. These pieces maintain the softness and quality of the yarn while greatly reducing the environmental impact of their production. There is also exciting news from the dyeing sector, thanks to the introduction of a printing technique with an ancient twist, made without any chemical components: the garments are wrapped together with leaves and berries collected from the Umbrian woods, gradually releasing coloured prints on the fabric. A nod to the earth and to the brand’s roots; a new approach to fashion that is not rushed and values sustainability. facebook twitter pinterest instagram 
 
Cancella iscrizione
 | 
Unsubscribe
 | 
Inviato con 

 
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/455500